Subject: configuring PERL
From: Samy Alex ZAIMI <[email-masked]>
To: cygwin <[email-masked]>
Date: Fri, 28 May 1999 08:34:29 +0000

Hello erveryone,
I am still stuck in the configure process of PERL
installation.

I tried both static linked perl patches and
dynamic linked patches, and I have the same
problem : a misbehaviour of "sh Configure".
In details, each time I have to provide an install
path (like /usr/local/bin, or .../man, or
.../lib/perl/...) there is a message that says:
"Can't open UU/UU/filexp".
Well, UU/filexp exists, but obviously not
UU/UU/filexp.

It seems that everything is doubled : if I hit
manually the answers (instead of doing "sh
Configure -d" after copying "hints/cygwin32.sh"
into "config.sh"), they appear twice on the
command line, with all nasty consequences it leads
to.

Afterwards, when doing "make depend", the shell
goes completely crasy. Here follows the messages
on the screen :

    It can take a while, so you might not want to
run it right now.
    Run make depend now? [y]
    Makefile:231: warning: overriding commands for
target `perlmain.o'
    Makefile:177: warning: ignoring old commands
for target `perlmain.o'
    sh ./makedepend MAKE=make
    -f: not found
    cp: missing destination file
    Try `cp --help' for more information.
    ./makedepend: cannot open : no such file
    -d: not found
    mkdir: cannot make directory `UU': File exists

    Makefile:231: warning: overriding commands for
target `perlmain.o'
    Makefile:177: warning: ignoring old commands
for target `perlmain.o'
    make depend MAKEDEPEND=
    Makefile:231: warning: overriding commands for
target `perlmain.o'
    Makefile:177: warning: ignoring old commands
for target `perlmain.o'
    sh ./makedepend MAKE=make
    -e: not found

The actions not found are simply due to the fact
that inside the shell that performs dependancies,
there are lines like "$(cp) -(option)" and so on,
and it seems that these '$(cp)' are empty, or set
to nothing.
After having a look at the created "config.sh", I
noticed that indeed many commands are set to
nothing, among them :
mv, tar, tail, bash...
Is this a normal behaviour ?

Beside, "ranlib" is set to ":" (colon) !!!
I had a look in the Configure script and saw that
"ranlib" can be set to ":" in some cases, but I
didn't understand why it didn't point to the
existing "ranlib" in the path. Why is that so ?

I tried everything : binary mount, text mount,
'binmode' in CYGWIN or just "title strip_title".
Same behaviour all the time.

Here follows some details of my installation :
0. I am running Win95B, and my disk is FAT32.
1. Cygwin B20.1 (the one from december, but the
'cygwin1.dll' is from 150199).
2. egcs-1.1.2, 'GCC-EXEC-PREFIX' points to
'/usr/cygnus/lib/gcc-lib'.
3. CYGWIN='binmode tty title strip_title'
4. path contains '.', '/usr/local/bin',
'/usr/cygnus/bin' (where Cygwin binaries reside)
5. mounts are binary. '/bin' is mounted on
'd:/usr/cygnus/bin', '/' is mounted on 'd:' (or
the contrary).
6. MAKE_MODE is set to UNIX
7. SYSROOT is set to 'd:'
8. TERM is set to 'linux'
9. found 'sh', 'make', 'ls' and so on except 'cpp'
(good isnt'it ?)

Other details are available on request.
I have to add that usually, all configs run very
well on my installation.

I will appreciate very much any help or hint to
solve the problem.
At least could anyone explain me what is wrong
with my Configure ?

Well, thank you very much in advance.
Regards,
Dr.-Ing. Samy Alex ZAIMI
Tohoku University - Sendai (Japan)

--
Want to unsubscribe from this list?
Send a message to [email-masked]